<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Мафия';
aut();
head();
$rmmaf  = check(intval($_GET['rmmaf']));
$go  = check($_GET['go']);
## Файл Мафия
$us = $user['user'];
$mafiozi = 'Мафиози';
$mafid = 0;
$rmafaction = "mafaction".$rmmaf;
$rscores = "scores".$rmmaf;
$ringame = "ingame".$rmmaf;
$room="maf".$rmmaf;


$db->sql_query ("select * from $ringame WHERE gamer_id = '".$user['id']."'");
if (mysql_affected_rows()!=0) $gmes = 1; else $gmes = 0;
$db->sql_query("select * from $ringame WHERE role != ''");
if (mysql_affected_rows()!=0){
if ($gmes ==1) {
$r = $db->sql_query("select * from $rmafaction");
$a = $db->sql_fetchrow($r);
if ($a["action"]=="game_day") echo "Сейчас: <b>ночь</b><br/>";
else echo "Сейчас: <b>день</b><br/>";

$r = $db->sql_query("select * from $ringame WHERE gamer_id = '".$user['id']."'");
$a = $db->sql_fetchrow($r);
$role = $a["role"];
switch ($role){

case "обыватель" :
$hp = "Вы простой мирный житель. Когда длится ночь, вы бездействуете, когда же наступает день, Вы можете голосовать вместе со всеми за казнь любого человека. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мафов.";
break;

case "комиссар катани" :
$hp = "Вы комиссар катани. Во время ночи вы можете проверить любого человека (''!номер'', без кавычек, например, !1) или сразу убить без проверки (''!!номер''), пишите без обращения в приват Мафу. Если вы проверяли человека, после ночи Маф сообщит Вам, мафиози он или нет. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мафов.";
break;

case "главарь мафии" :
$hp = "Вы главарь мафии. У вас есть сообщники (обычные мафиози), которые заодно с вами. В начале ночи Вам сообщаются ники всех мафов. Ночью вы можете убить любого человека (''!номер'', в приват Мафу, без кавычек и обращения, например, !1). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных и маньяка.";
break;

case "доктор" :
$hp = "Вы доктор. Ночью вы можете лечить любого человека (''!номер'', без кавычек, в приват Мафу, без обращения. Например, !1). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех Мафов.";
break;

case "маньяк" :
$hp = "Вы маньяк. Нейтральный персонаж. Подобно мафии, ночью можете убить любого человека (''!номер'', в приват Мафу, без кавычек и обращения. Например, !1). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех Мафов.";
break;

case "путана" :
$hp = "Вы проститутка:) Ночью можете пристать к любому приглянувшимуся вам человеку (''!номер'', без кавычек и обращения в приват к Мафу, например, !1), в результате тот будет неспособным делать какие-либо действия ночью. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех Мафов.";
break;

case "бомж" :
$hp = "Вы бомж. Ночью ройтесь в карманах у любого человека (''!номер'', в приват Мафу, без кавычек и обращения, например, !1), Маф после ночи сообщит Вам, кто он на самом деле. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех Мафов.";
break;

case "мафиози" :
$hp = "Вы шестерка мафии. Пока жив главарь, делать ночью ничего не можете. Как только его убивают, есть шанс, что вы станете новым главарем. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных.";
break;

case "горец" :
$hp = "Вы горец. Бессмертный. Почти:) Убить вас может только маньяк или жители днем. Ночью ничего не делаете. Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных.";
break;

case "клоун" :
$hp = "Вы клоун. Один раз за игру ночью вы можете поменять роли любых двух игроков (''!номер !номер'', через пробел, без кавычек, в приват Мафу). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных.";
break;

case "жена комиссара" :
$hp = "Вы жена комиссара. После того, как убили комиссара, вы один раз ночью можете убить любого человека. (''!номер'', в приват Мафу, без кавычек). Днем участвуете наравне со всеми в голосовании. 1 этап - пишете ''!номер'' (например ''!1'', без кавычек), где номер - это номер того человека, которого вы хотите казнить. Для 2 этапа голосования необходимо больше трети голосов. 2 этап - подтверждаете выбранную кандидатуру (''!да'' или ''!нет''). Для линчевания необходимо больше 50% голосов. Цель - убить всех мирных.";
break;
}

echo "$hp<br/>";
}else echo "Подождите, пока закончится текущая игра. Вы сможете участвовать только в следующем коне.<br/>";
}else{
$r = $db->sql_query("select * from $rmafaction");
$a = $db->sql_fetchrow($r);
if ($a["action"]!= "registration")echo "Игра не запущена. Для запуска нажмите !старт<br/>";
else echo "Идет регистрация. Для участия в игре введите !рег<br/>";}

echo "<br/>";
echo gbinroom."<a href=\"maf.php?&amp;rmmaf=1\">В игру</a>".div;
echo gbinroom."<a href=\"../enter.php?\">На Главную</a>".div;
foot();
?>